Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaconvenzionata
Class StrutturaRiabilitativConvenzionata

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaconvenzionata.StrutturaRiabilitativConvenzionata

All Implemented Interfaces:
  java.io.Serializable

    public class StrutturaRiabilitativConvenzionata

extends java.lang.Object
implements java.io.Serializable

La classe `StrutturaRiabilitativConvenzionata` rappresenta i dati inerenti una struttura riabilitativa e il suo rapporto di convenzionamento con una ASL

Author:
  SantovitoM
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `codNazionaleAslConvenzione` Codice nazionale della ASL con cui la struttura riabilitativa risulta essere convenzionata.
`private java.lang.String` | `codNazionaleAslRapportoContrattuale` Codice nazionale della ASL con cui la struttura riabilitativa risulta avere un rapporto contrattuale
`private java.lang.String` | `codPartitaIva` Codice della partitita IVA della struttura
`private java.lang.String` | `codSIS` Codice SIS
`private java.lang.String` | `codStruttRegionale` Codice identificativo univoco a livello regionale
`private java.lang.String` | `denominazione` Denominazione della struttura
`private int` | `numeroDistretto` Distretto di appartenenza della struttura riabilitativa che risulta convenzionata
`private Sede` | `sedeAttivita` Sede in cui la struttura svolge la sua attivitą
`private Sede` | `sedeFiscale` Sede in cui la struttura ha la sua sede legale
`private static long` | `serialVersionUID`
`private java.lang.String` | `statoConvenzionamento` Stato del rapporto di convenzionamento (ATTIVO O NON ATTIVO)
`private java.lang.String` | `tipologia` Tipologia di struttura : PUBBLICA O PRIVATA

Constructor Summary
`StrutturaRiabilitativConvenzionata()`

Method Summary
`java.lang.String` | `getCodNazionaleAslConvenzione()`
`java.lang.String` | `getCodNazionaleAslRapportoContrattuale()`
`java.lang.String` | `getCodPartitaIva()`
`java.lang.String` | `getCodSIS()`
`java.lang.String` | `getCodStruttRegionale()`
`java.lang.String` | `getDenominazione()`
`int` | `getNumeroDistretto()`
`Sede` | `getSedeAttivita()`
`Sede` | `getSedeFiscale()`
`java.lang.String` | `getStatoConvenzionamento()`
`java.lang.String` | `getTipologia()`
`void` | `setCodNazionaleAslConvenzione(java.lang.String codNazionaleAslConvenzione)`
`void` | `setCodNazionaleAslRapportoContrattuale(java.lang.String codNazionaleAslRapportoContrattuale)`
`void` | `setCodPartitaIva(java.lang.String codPartitaIva)`
`void` | `setCodSIS(java.lang.String codSIS)`
`void` | `setCodStruttRegionale(java.lang.String codStruttRegionale)`
`void` | `setDenominazione(java.lang.String denominazione)`
`void` | `setNumeroDistretto(int numeroDistretto)`
`void` | `setSedeAttivita(Sede sedeAttivita)`
`void` | `setSedeFiscale(Sede sedeFiscale)`
`void` | `setStatoConvenzionamento(java.lang.String statoConvenzionamento)`
`void` | `setTipologia(java.lang.String tipologia)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### codStruttRegionale

    @Facets(length=6L)
    private java.lang.String codStruttRegionale

  Codice identificativo univoco a livello regionale

### codPartitaIva

    private java.lang.String codPartitaIva

  Codice della partitita IVA della struttura

### codSIS

    private java.lang.String codSIS

  Codice SIS

### denominazione

    private java.lang.String denominazione

  Denominazione della struttura

### tipologia

    @Facets(enumeration={"PUBBLICA","PRIVATO"})
    private java.lang.String tipologia

  Tipologia di struttura : PUBBLICA O PRIVATA

### codNazionaleAslConvenzione

    private java.lang.String codNazionaleAslConvenzione

  Codice nazionale della ASL con cui la struttura riabilitativa risulta essere convenzionata.

### numeroDistretto

    private int numeroDistretto

  Distretto di appartenenza della struttura riabilitativa che risulta convenzionata

### sedeAttivita

    private Sede sedeAttivita

  Sede in cui la struttura svolge la sua attivitą

### sedeFiscale

    private Sede sedeFiscale

  Sede in cui la struttura ha la sua sede legale

### statoConvenzionamento

    @Facets(enumeration={"ATTIVO","NON ATTIVO"})
    private java.lang.String statoConvenzionamento

  Stato del rapporto di convenzionamento (ATTIVO O NON ATTIVO)

### codNazionaleAslRapportoContrattuale

    private java.lang.String codNazionaleAslRapportoContrattuale

  Codice nazionale della ASL con cui la struttura riabilitativa risulta avere un rapporto contrattuale

Constructor Detail

### StrutturaRiabilitativConvenzionata

    public StrutturaRiabilitativConvenzionata()

Method Detail

### getCodPartitaIva

    public java.lang.String getCodPartitaIva()

### setCodPartitaIva

    public void setCodPartitaIva(java.lang.String codPartitaIva)

### getCodSIS

    public java.lang.String getCodSIS()

### setCodSIS

    public void setCodSIS(java.lang.String codSIS)

### getDenominazione

    public java.lang.String getDenominazione()

### setDenominazione

    public void setDenominazione(java.lang.String denominazione)

### getTipologia

    public java.lang.String getTipologia()

### setTipologia

    public void setTipologia(java.lang.String tipologia)

### getCodNazionaleAslConvenzione

    public java.lang.String getCodNazionaleAslConvenzione()

### setCodNazionaleAslConvenzione

    public void setCodNazionaleAslConvenzione(java.lang.String codNazionaleAslConvenzione)

### getNumeroDistretto

    public int getNumeroDistretto()

### setNumeroDistretto

    public void setNumeroDistretto(int numeroDistretto)

### getSedeAttivita

    public Sede getSedeAttivita()

### setSedeAttivita

    public void setSedeAttivita(Sede sedeAttivita)

### getSedeFiscale

    public Sede getSedeFiscale()

### setSedeFiscale

    public void setSedeFiscale(Sede sedeFiscale)

### getStatoConvenzionamento

    public java.lang.String getStatoConvenzionamento()

### setStatoConvenzionamento

    public void setStatoConvenzionamento(java.lang.String statoConvenzionamento)

### setCodStruttRegionale

    public void setCodStruttRegionale(java.lang.String codStruttRegionale)

### getCodStruttRegionale

    public java.lang.String getCodStruttRegionale()

### setCodNazionaleAslRapportoContrattuale

    public void setCodNazionaleAslRapportoContrattuale(java.lang.String codNazionaleAslRapportoContrattuale)

### getCodNazionaleAslRapportoContrattuale

    public java.lang.String getCodNazionaleAslRapportoContrattuale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD